#!/usr/bin/env python3

# Import CherryPy
import cherrypy


def shim(app):
    cherrypy.tree.graft(app, "/")
    cherrypy.server.unsubscribe()
    server = cherrypy._cpserver.Server()

    def _run(host="0.0.0.0", port=8080, pool_size=16, environment="production"):
        cherrypy.config.update(
            {
                "environment": environment,
                "server.socket_host": host,
                "server.socket_port": port,
                "server.thread_pool": pool_size,
                "engine.autoreload.on": False,
                "log.screen": True,
            }
        )

        server.subscribe()
        cherrypy.engine.start()
        cherrypy.engine.block()

    server.run = _run

    return server
